#ifndef _CKEY_HPP_
#define _CKEY_HPP_

/*** SDL Header Files ***/
#include <SDL.h>    

/*** DLL Header File ***/
#include "dllExport.h"

namespace InputEngine {
	class EXPORT_FROM_MYDLL cKey
	{
	public:
		cKey( const SDL_Keycode& key );
		cKey( const cKey& copy );
		virtual ~cKey();

		///Funtions
		/* Call to check if the key is pressed */
		virtual void KeyPress();
		/* Call to check if the key is released */
		virtual void KeyUP();
		/* Call to check if the key is pressed */
		virtual void KeyDown();

		///Sets
		void setKey( const SDL_Keycode& key );
		
		///Gets
		const SDL_Keycode& getKey() const;

	private:
	private:
		SDL_Keycode m_key;
	};/// END CLASS DEFINITION cKey
}/// END NAMESPACE DEFINITION InputEngine
#endif/// END IFNDEF _CKEY_HPP_